<aside class="filters">
  <div class="left-arrow-container hidden">
    <div
      class="left-arrow"
      (click)="toggleFilters()"
      [ngClass]="open ? 'open' : ''"
    ></div>
  </div>
  <div class="content" #filters *ngIf="searchModel | async as model">
    <section class="search">
      <div class="search-form">
        <input
          class="input"
          type="text"
          placeholder="Search for..."
          [ngModel]="model.query"
          (ngModelChange)="onSearchInputChange($event)"
        />
        <button class="submit"><i class="fas fa-search"></i></button>
      </div>
    </section>
    <section class="types">
      <ul>
        <li><a href="#">T-Shirts</a></li>
        <li><a href="#">Hoodies</a></li>
        <li><a href="#">Sweaters</a></li>
        <li><a href="#">Shirts</a></li>
        <li><a href="#">Coats</a></li>
      </ul>
    </section>
    <section class="brands">
      <h3>Brands</h3>
      <label class="container"
        >Nike
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >Adidas
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >Audimas
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >Gucci
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
    </section>
    <section class="sizes">
      <h3>Sizes</h3>
      <label class="container"
        >S
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >M
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >L
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
      <label class="container"
        >XL
        <input type="checkbox" />
        <span class="checkmark"></span>
      </label>
    </section>
    <section class="prices">
      <div class="range-form">
        <input
          type="number"
          placeholder="from"
          class="input"
          [ngModel]="model.min"
          (ngModelChange)="onMinInputChange($event)"
        />
        <input
          type="number"
          placeholder="to"
          class="input"
          [ngModel]="model.max"
          (ngModelChange)="onMaxInputChange($event)"
        />
        <button class="submit">
          <i class="fas fa-angle-right"></i>
        </button>
      </div>
    </section>
  </div>
</aside>
